> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cj.agc-vie.fnstack.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1chargesairtelc2bprocess transaction

> Airtel C2B Process Transaction



## OpenAPI

````yaml post /v1/charges/airtel/c2b/process-transaction
openapi: 3.0.1
info:
  version: 1.0.0
  title: AGC-VIE - Customer Journeys API
  description: This API can be use for Customer journeys integrations with 3PPs
servers:
  - url: https://dev-api-cj-agc-vie.fnstack.dev
security:
  - API Key: []
paths:
  /v1/charges/airtel/c2b/process-transaction:
    post:
      tags:
        - Charges
      description: Airtel C2B Process Transaction
      requestBody:
        content:
          application/xml:
            schema:
              type: object
              properties:
                COMMAND:
                  type: object
                  properties:
                    TYPE:
                      type: string
                      minLength: 1
                    CUSTOMERMSISDN:
                      type: string
                      minLength: 1
                    MERCHANTMSISDN:
                      type: string
                      minLength: 1
                    AMOUNT:
                      type: number
                      minimum: 0
                      exclusiveMinimum: true
                    PIN:
                      type: string
                    REFERENCE:
                      type: string
                      minLength: 1
                    USERNAME:
                      type: string
                    PASSWORD:
                      type: string
                    REFERENCE1:
                      type: string
                      minLength: 1
                  required:
                    - TYPE
                    - CUSTOMERMSISDN
                    - MERCHANTMSISDN
                    - AMOUNT
                    - REFERENCE
                    - REFERENCE1
              required:
                - COMMAND
      responses:
        '200':
          description: Airtel C2B Process Transaction Response
          content:
            application/xml:
              schema:
                type: object
                properties:
                  COMMAND:
                    type: object
                    properties:
                      STATUS:
                        type: integer
                      TXNID:
                        type: string
                        minLength: 1
                      MESSAGE:
                        type: string
                        minLength: 1
                    required:
                      - STATUS
                      - TXNID
                      - MESSAGE
                required:
                  - COMMAND
        '406':
          description: Unsupported Content type
          content:
            text/plain:
              schema:
                type: string
components:
  securitySchemes:
    API Key:
      type: apiKey
      in: header
      name: x-api-key

````